CON _clkmode = xtal1 + pll16x
    _xinfreq = 5_000_000    

    SDPins  = 0
    audioR  = 10
    audioL  = 11
    playRate = 80_000_000/50
VAR
  byte  buffer[25]
  byte  filename[18]

  long  fileNumber
  long  nrOfTunes

OBJ
  SID   : "AYcog_V0-16"
  SD    : "fsrw"

PUB Main | AYregisters
 
  AYregisters := SID.start( audioR, audioL ) 
  sd.mount( SDPins )

  fileNumber := 1 
  openNextFile
   
  repeat
    waitcnt(cnt+playRate)
    if( sd.pread(@buffer, 16) ) => 0
      buffer[13] := buffer[13]&15   
      bytemove( AYregisters, @buffer, 16 )
    else
      fileNumber++
      openNextFile

PUB openNextFile | i, t
    sd.opendir
    repeat i from 0 to fileNumber
      sd.nextfile( @filename )
    if sd.popen( @filename, "r" ) == -1
    sd.pread(@buffer, 14)
